Subject: Attribute Uniqueness and Aggregate Functions

From: [email-masked]
Date: Tue, 15 Jun 93 18:22:18 -0700

Hello all,

I'm trying to set up a rule, or incorporate in a create statement a way to
require uniqeness of an attribute within a class.  I referenced the Postgres
V4.1 Users Manual, as well as the V4.1 Reference Manual but found nothing
specific on this topic.  Has any one ever attempted this or have any ideas?

Also, are there any Postgres aggregate reserved words such as Count, Sum,
Max, or Min like those used in SQL?  Any suggestions on how to get a count
of all tuples in a class, or the max/min of a particular Integer attribute?

Thanks in advance for your help,

Hans Tobrocke
Central Connecticut State University
MIS Department